Cheatsheet: Use DPorts Release 3.4 packages on DragonFly 3.5

John Marino dragonflybsd at
Wed Apr 17 02:58:53 PDT 2013

The DPorts packages for Release 3.4 have been uploaded for the i386 platform.  The x86_64 repository isn't yet complete but it will be soon.

The packages are classified by ABI.  So by default, DragonFly 3.3 and DragonFly 3.4 have an ABI of "3.4" while DragonFly 3.5 and DragonFly 3.6 have an ABI of "3.6".  By default, DragonFly 3.5 can't use 3.4 ABI packages.

Here's an example of how users on the latest development branch can take advantage of these brand new Release 3.4 packages.

1) Make sure any previous dports work is gone.
   (e.g. rm -rf /usr/local /var/db/ports /var/db/pkg/*.sqlite )
2) Install pkg
   (e.g. pull latest dports, cd /usr/dports/ports-mgmt/pkg && make install)
3) create /usr/local/etc/pkgconf with the contents below (switch 32 with 64 for x86_64)
ABI: dragonfly:3.4:x86:32
4) Pull catalog
   > pkg update
5) If that is successful, you can start installing packages.  The FreeBSD guide has some useful information:
"pkg help" and "man 8 pkg" also contains useful information.

The RELEASE users won't need to do at least steps 1-3 because pkg will already be on the
system.  Enjoy!

More information about the Users mailing list